%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases
%define _fdidir %_datadir/hal/fdi/policy/10osvendor

Name: xorg-drv-chips
Version: 1.2.0
Release: alt2.M41.1
Serial: 1
Summary: Chips and Technologies video driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
Provides: xorg-x11-drv-chips = %serial:%version-%release
Obsoletes: xorg-x11-drv-chips

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: xorg-sdk xorg-proto-devel xorg-util-macros

ExclusiveArch: %ix86

%description
chips  is  an     Xorg     driver for Chips and Technologies video
processors.  The majority of the Chips and  Technologies  chipsets  are
supported by this driver. In general the limitation on the capabilities
of this driver are determined by the chipset on which it is run.  Where
possible,  this driver provides full acceleration and supports the fol-
lowing depths: 8, 15, 16, 24 and on the latest chipsets  an  8+16
overlay  mode. Multi-head configurations are supported on PCI or AGP buses.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

install -pD -m644 xf86-video-chips.xinf %buildroot%_hwdatadir/chips.xinf
install -pD 11-x11-video-chips.fdi %buildroot%_fdidir/11-x11-video-chips.fdi

%files
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_fdidir/11-x11-video-chips.fdi
%_man4dir/*

%changelog
* Fri Aug 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt2.M41.1
- build for branch 4.1

* Wed Jun 04 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt3
- renamed xorg-x11-drv-chips to xorg-drv-chips
- added requires XORG_ABI_VIDEODRV = 2.0

* Fri Apr 04 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt2
- rebuild without mfb
- death to cfb
- convert xinf to fdi

* Wed Mar 19 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt1
- 1.2.0

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt3
- rebuild with xorg-server-1.4

* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt2
- added videoaliases file from RH

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt1
- 1.1.1

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.3-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.1-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt0.1
- initial release

